""" Creates a sound clip from a selected sound from a specified starting and ending index"""
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the sound (.wav) file to CLIP from"
  fileName = pickAFile()
  sound = makeSound(fileName)
  
  blockingPlay(sound)
  
  start = requestIntegerInRange("Enter starting index of clip",0,getLength(sound)-1)
  end = requestIntegerInRange("Enter ending index of clip",start,getLength(sound)-1)
  soundClip = clip(sound, start, end)
  blockingPlay(soundClip)
  
  writeSoundTo(soundClip, getMediaPath("soundClip.wav"))
  print "Open Sound Tool to 'view' sound"
  openSoundTool(soundClip)

def clip(source, start, end):
  """ Returns a sound clip of source from start to end indexes """
  target = makeEmptySound(end-start+1)
  
  targetIndex = 0
  for sourceIndex in range(start, end+1):
    sourceValue = getSampleValueAt(source, sourceIndex)
    setSampleValueAt(target, targetIndex, sourceValue)
    targetIndex += 1

  return target
  
main() # starts the program
